﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using GridViewColumnSortState;
using Telerik.Windows.Controls.GridView;
using System.Windows.Data;

namespace RadGridViewSilverlight_2009_Q21
{
    public partial class Page : UserControl
    {
        public Page()
        {
            InitializeComponent();

            this.RadGridView1.ItemsSource = GetMessages();
            this.RadGridView1.MultipleSelect = true;
            this.RadGridView1.RowLoaded += new EventHandler<Telerik.Windows.Controls.GridView.RowLoadedEventArgs>(RadGridView1_RowLoaded);
        }

        void RadGridView1_RowLoaded(object sender, Telerik.Windows.Controls.GridView.RowLoadedEventArgs e)
        {
            if (e.Row is GridViewNewRow || e.Row is GridViewHeaderRow || e.Row is GridViewFooterRow)
                return;

            GridViewRow row = e.Row as GridViewRow;
            row.IsSelected = false;

            Binding binding = new Binding("Selected");
            binding.Mode = BindingMode.TwoWay;
            binding.Source = row.DataContext;

            row.SetBinding(GridViewRow.IsSelectedProperty, binding);
        }

        private IList<Message> GetMessages()
        {
            return new Message[] { 
			                     	new Message { Sender = "tom@hanna-barbera.com", Subject = "Cats are cool", Size = 100, Selected=true },
			                     	new Message { Sender = "jerry@hanna-barbera.com", Subject = "Mice are cool", Size = 100, Selected=false },
			                     	new Message { Sender = "spike@hanna-barbera.com", Subject = "Dogs are cool", Size = 100, Selected=true }
			                     };
        }

    }
}
